tvbrowser.extras.reminderplugin

## Class ReminderListItem

- java.lang.Object
- - tvbrowser.extras.reminderplugin.ReminderListItem

- All Implemented Interfaces:
    java.lang.Comparable<ReminderListItem>

      public class ReminderListItem
      extends java.lang.Object
      implements java.lang.Comparable<ReminderListItem>

  A class that contains the program for which a reminder should be shown at some time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_FORWARD_REMINDER_TIME`
    `static Localizer` | `mLocalizer` The localizer for this class.
    `static ReminderListItem` | `SEPARATOR_ITEM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReminderListItem(Program prog, int minutes)` Creates an instance of this class.
    `ReminderListItem(ProgramItem item)` Creates an instance of this class.
    `ReminderListItem(Program prog, ReminderContent reminderContent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeComment(java.awt.Frame parentFrame)`
    `int` | `compareTo(ReminderListItem other)`
    `void` | `decReferenceCount()` Decrease the number of set reminders of this item about 1.
    `java.lang.String` | `getComment()` Gets the reminder comment of this list item.
    `int` | `getMinutes()` Gets the reminder minutes of this list item.
    `Program` | `getProgram()` Gets the program of this list item.
    `ProgramItem` | `getProgramItem()` Gets the program item of this list item.
    `int` | `getReferenceCount()` Gets the number of set reminders of this item.
    `void` | `incReferenceCount()` Increase the number of set reminders of this item about 1.
    `void` | `setComment(java.lang.String comment)` Sets the comment of this list item.
    `void` | `setMinutes(int minutes)` Sets the minutes of this list item.
    `void` | `setReferenceCount(int refCnt)` Sets the number of reminders set for this item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_FORWARD_REMINDER_TIME

          public static final int MAX_FORWARD_REMINDER_TIME

      See Also:
        Constant Field Values

    - #### mLocalizer

          public static final Localizer mLocalizer

      The localizer for this class.

    - #### SEPARATOR_ITEM

          public static final ReminderListItem SEPARATOR_ITEM

  - ### Constructor Detail

    - #### ReminderListItem

          public ReminderListItem(ProgramItem item)

      Creates an instance of this class.

      Parameters:
        `item` - The item for this list item.

    - #### ReminderListItem

          public ReminderListItem(Program prog,
                          int minutes)

      Creates an instance of this class.

      Parameters:
        `prog` - The program for this item.
        `minutes` - The reminder time for this item.

    - #### ReminderListItem

          public ReminderListItem(Program prog,
                          ReminderContent reminderContent)

  - ### Method Detail

    - #### setReferenceCount

          public void setReferenceCount(int refCnt)

      Sets the number of reminders set for this item.

      Parameters:
        `refCnt` - The number of reminders for this item.

    - #### getProgramItem

          public ProgramItem getProgramItem()

      Gets the program item of this list item.

      Returns:
        The program item.

    - #### getReferenceCount

          public int getReferenceCount()

      Gets the number of set reminders of this item.

      Returns:
        The number of set reminders of this item.

    - #### incReferenceCount

          public void incReferenceCount()

      Increase the number of set reminders of this item about 1.

    - #### decReferenceCount

          public void decReferenceCount()

      Decrease the number of set reminders of this item about 1.

    - #### getMinutes

          public int getMinutes()

      Gets the reminder minutes of this list item.

      Returns:
        The reminder minutes of this list item.

    - #### setMinutes

          public void setMinutes(int minutes)

      Sets the minutes of this list item.

      Parameters:
        `minutes` - The minutes of this list item.

    - #### getComment

          public java.lang.String getComment()

      Gets the reminder comment of this list item.

      Returns:
        The reminder comment of this list item.

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the comment of this list item.

      Parameters:
        `comment` - The comment of this list item.

    - #### getProgram

          public Program getProgram()

      Gets the program of this list item.

      Returns:
        The program of this list item.

    - #### compareTo

          public int compareTo(ReminderListItem other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ReminderListItem>`

    - #### changeComment

          public void changeComment(java.awt.Frame parentFrame)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)